Subject: bug#5658: 23.1; Viewing .info files in Emacs' info-viewer

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Mar 2010 15:23:08 -0500

> That doesn't work either: even if the file is editable, the buffer is
> read-only.

That's not necessarily a problem.  Several major modes put their buffer
in a read-only mode even if the underlying file is writable.  This is
typically the case for modes that change the appearance of the buffer
(use things like after-string and display properties).

I think in the case of Info buffers, it's perfectly OK to open them in
read-only mode even if the file is writable.

        Stefan